Skip to main content
POST
/
v1
/
image
/
svg-to-raster
{
  "input": "https://example.com/graphic.svg",
  "format": "png",
  "width": 1024
}
curl -X POST https://api.ringbee.dev/v1/image/svg-to-raster \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@image.svg" \
  -F "format=png" \
  -F "width=1024"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/graphic.svg",
  "format": "png",
  "width": 1024
}
curl -X POST https://api.ringbee.dev/v1/image/svg-to-raster \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@image.svg" \
  -F "format=png" \
  -F "width=1024"
ParamTypeDescription
formatstringOutput format: png, jpeg, webp
widthintegerOutput width in pixels

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

format
string

Output format: png, jpeg, webp

width
integer

Output width in pixels

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"